# Componere\Abstract\Definition::addMethod

(Componere 2 >= 2.1.0)

Componere\Abstract\Definition::addMethod — Add Method

### Description

public Componere\Abstract\Definition::addMethod ( string `$name` , \Componere\Method `$method` ) : Definition

Shall create or override a method on the current definition.

### Parameters

`name`

  The case insensitive name for method

`method`

  \Componere\Method not previously added to another Definition

### Return Values

The current Definition

### Exceptions

Warning

Shall throw RuntimeException if Definition was registered

Warning

Shall throw RuntimeException if Method was added to another Definition